Bug 926253 - nurbs++: Does not support aarch64 in f19 and rawhide
nurbs++: Does not support aarch64 in f19 and rawhide
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: nurbs++ (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: mycae
Fedora Extras Quality Assurance
:
Depends On: 914222
Blocks: ARM64/F-ExcludeArch-aarch64
  Show dependency treegraph
 
Reported: 2013-03-23 11:37 EDT by Dennis Gilmore
Modified: 2013-07-05 12:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-05 12:32:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-03-23 11:37:37 EDT
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  nurbs++ appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/nurbs++/nurbs++-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.
Comment 1 mycae 2013-07-05 12:32:22 EDT
Closing. As stated on other bug 924960, submitter did not respond to request on how to test. I do not have access to this architecture, so cannot fix.
Comment 2 Sergio Monteiro Basto 2013-07-05 12:40:16 EDT
I don't if you read this so I post it here : 

as pointed out in this thread : 
https://lists.fedoraproject.org/pipermail/devel/2013-June/184098.html 

The better solution is:   
  * Added: BuildRequires: autoconf, automake, libtool, pkgconfig
  * In "%prep" added: autoreconf --install --force 
( from 
https://lists.fedoraproject.org/pipermail/devel/2013-June/184111.html )

anyway I also can't test it if works because I still don't have a koji for aarch64

Note You need to log in before you can comment on or make changes to this bug.